### Hierarchy

- AbstractNode
  - OperationDefinition

## Index

### Constructors

- constructor

### Properties

- annotations
- arguments
- description
- kind
- loc
- name
- type
- unary

### Methods

- accept
- getKind
- getLoc
- isUnary
- mapTypeToTranslation
- unaryOp

## Constructors

### constructor

- new OperationDefinition(loc: undefined | Location, name: Name, desc: undefined | StringValue, args: InputValueDefinition[], type: Type, annotations: Annotation[], unary: boolean): OperationDefinition

- Overrides AbstractNode.constructor

  - Defined in src/ast/type_definitions.ts:117

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### desc: undefined | StringValue

  - ##### args: InputValueDefinition[]

  - ##### type: Type

  - ##### annotations: Annotation[]

  - ##### unary: boolean

  #### Returns OperationDefinition

## Properties

### annotations

annotations: Annotation[]

- Defined in src/ast/type_definitions.ts:116

### arguments

arguments: InputValueDefinition[]

- Defined in src/ast/type_definitions.ts:114

### description

description: undefined | StringValue

- Defined in src/ast/type_definitions.ts:113

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### name

name: Name

- Defined in src/ast/type_definitions.ts:112

### type

type: Type

- Defined in src/ast/type_definitions.ts:115

### unary

unary: boolean

- Defined in src/ast/type_definitions.ts:117

## Methods

### accept

- accept(context: Context, visitor: Visitor): void

- Overrides AbstractNode.accept

  - Defined in src/ast/type_definitions.ts:159

  #### Parameters

  - ##### context: Context

  - ##### visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

### isUnary

- isUnary(): boolean

- - Defined in src/ast/type_definitions.ts:137

  #### Returns boolean

### mapTypeToTranslation

- mapTypeToTranslation(typeTranslation: (inp: Type) => string): Map<String, String>

- - Defined in src/ast/type_definitions.ts:145

  #### Parameters

  - ##### typeTranslation: (inp: Type) => string

    - - (inp: Type): string

      - #### Parameters

        - ##### inp: Type

        #### Returns string

  #### Returns Map<String, String>

### unaryOp

- unaryOp(): InputValueDefinition

- - Defined in src/ast/type_definitions.ts:141

  #### Returns InputValueDefinition

Generated using TypeDoc